2

So I got my desktop back up and running and I wanted to play TF2, so I installed Steam, got the game and when it starts up I get

Could Not Find Required OpenGL Entry Point 'GLColormaskindexedEXT'! Either Your Video Card Is Unsupported Or Your OpenGL Driver Needs To Be Updated.

My Open GL in terminal says

OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) G33 
OpenGL version string: 1.4 Mesa 10.1.3
OpenGL extensions:
OpenGL ES profile version string: OpenGL ES 2.0 Mesa 10.1.3
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 1.0.16
OpenGL ES profile extensions:
  • Is your system 32- or 64-bit? – Pilot6 Jul 1 '15 at 12:53
  • 1
    64 bit, with 8gb ram – Soren Jul 1 '15 at 12:56
5

You can upgrade your graphical stack by running

sudo apt-get install --install-recommends xserver-xorg-lts-utopic libqt5gui5 libgles1-mesa-lts-utopic libgles2-mesa-lts-utopic libgl1-mesa-glx-lts-utopic libgl1-mesa-glx-lts-utopic:i386 libglapi-mesa-lts-utopic:i386 libegl1-mesa-drivers-lts-utopic

Also I suggest upgrading kernel by

sudo apt-get install linux-generic-lts-vivid
  • Thank you, but when i put that in it gives me Unable to locate package libegl1-mesa-drivers-lts-utopi – Soren Jul 1 '15 at 13:00
  • @Soren You were not careful when selecting. You did not copy the last character. – Pilot6 Jul 1 '15 at 13:01
  • It Still Doesnt Work, and i know my card will support it – Soren Jul 1 '15 at 17:16
  • 3
    I registered to upvote this. – CENT1PEDE Feb 8 '16 at 14:12

Your Answer

By clicking "Post Your Answer", you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.